stdver_warnings Package

stdver_warnings Package

This app implements displaying warnings if a package has an outdated Standards-Version field, when compared to the current version of the debian-policy package in the default repository.

The warning is displayed as an entry to the distro_tracker.core.panels.ActionNeededPanel>

This functionality is extracted to a separate app to allow other vendors to optionally activate it.

models Module

Django models for the distro_tracker.stdver_warnings application.

tracker_tasks Module

Distro Tracker tasks for the distro_tracker.stdver_warnings app.

class distro_tracker.stdver_warnings.tracker_tasks.UpdateStandardsVersionWarnings(*args, **kwargs)[source]

Bases: distro_tracker.core.tasks.base.BaseTask, distro_tracker.core.tasks.mixins.ProcessSrcRepoEntryInDefaultRepository

The task updates warnings for packages which have an outdated Standards-Version.

ACTION_ITEM_TYPE = 'debian-std-ver-outdated'
FULL_DESCRIPTION_TEMPLATE = 'stdver_warnings/standards-version-action-item.html'
ITEM_DESCRIPTION = 'Standards version of the package is outdated.'
class Scheduler(task)[source]

Bases: distro_tracker.core.tasks.schedulers.IntervalScheduler

interval = 3600
UpdateStandardsVersionWarnings.check_if_full_update_is_required(policy_version)[source]
UpdateStandardsVersionWarnings.execute_main()[source]
UpdateStandardsVersionWarnings.get_policy_version()[source]
Returns:The latest version of the debian-policy package.
UpdateStandardsVersionWarnings.initialize(*args, **kwargs)[source]
UpdateStandardsVersionWarnings.items_extend_queryset(queryset)[source]
classmethod UpdateStandardsVersionWarnings.unregister_plugin()

tests Module

Tests for the distro_tracker.stdver_warnings app.

class distro_tracker.stdver_warnings.tests.StandardsVersionActionItemTests(methodName='runTest')[source]

Bases: distro_tracker.test.TestCase

Tests for the distro_tracker.stdver_warnings.tracker_tasks.UpdateStandardsVersionWarnings task.

create_action_item()[source]
get_action_type()[source]

Returns the distro_tracker.core.models.ActionItemType for Standards-Version warnings.

run_task()[source]

Initiates the task run.

setUp()[source]
set_debian_policy_version(policy_version)[source]

Set the version of the debian-policy package to the given version.

test_action_item_created_when_new_policy_version_is_released()[source]
test_action_item_outdated_policy()[source]

Tests that an action item is created when the package’s standards version is outdated.

test_action_item_policy_outdated_full_version()[source]

Tests that an action item is created when the package’s standards version is outdated and set by giving all 4 version numbers.

test_action_item_removed_with_removal_from_default_repository()[source]

Tests that an existing action item is removed when the package is gone from the default repository.

test_action_item_removed_with_update()[source]

Tests that an existing action item is removed when there is a new package version with a non-outdated Std-Ver.

test_action_item_severely_outdated_policy()[source]

Tests that an action item is created when the package’s standards version is severely outdated (major version number differs from the major version number of debian-policy).

test_action_item_two_entries_same_package_with_outdated_policy()[source]

Tests that the task copes with the presence of the same package twice.

test_action_item_updated()[source]

Tests that an existing action item is updated when there is a new package version which still has an outdated Std-Ver.

test_no_action_item_policy_up_to_date()[source]

Tests that no action item is created when the package’s Standards-Version is up to date.

test_no_action_item_policy_up_to_date_full_version()[source]

Tests that no action item is created when the package’s Standards-Version is up to date and set by giving all 4 version numbers.

test_task_run_with_force_update()[source]

Tests that when the task is run with force_update, the Standards-Version of all packages is checked.